image: docker:stable

variables:
  GIT_SUBMODULE_STRATEGY: normal
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2

stages:
  - sony-pack-deploy

sony-pack-deploy:
  stage: sony-pack-deploy
  image: "registry.gitlab.com/modmyclassic/docker-autodevops-buildenvs/mmc-crosscompiler-docker-image:latest_internal"
  script:
    - cd classic && make -f Makefile.pack_psc_eris
    - echo -e "cd /var/www/html/project_eris/themes/\nput *.mod" | sftp -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i ~/.keys/release_private_key.pem docker@classicmodscloud.com
    - echo -e "cd /var/www/html/project_eris/themes/\nput *.md" | sftp -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -i ~/.keys/release_private_key.pem docker@classicmodscloud.com
